/*
 *    FBFS Distributed Object Repository
 *    Copyright (C) 2001 Francesco V. Bassi
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/** \file Rule.h
 * Definizone della classe fbfs::Rule.
 * \ingroup NameServer
 */

#ifndef _fbfs_RULE
#define _fbfs_RULE 1

#include <string>
#include <omniORB3/CORBA.h>

#include "../idl/Security.hh"

namespace fbfs {
	class Rule;
};

class fbfs::Rule {
public:
	Rule(int level, const string &command, const string &arv);
	enum evalresult {FALSE, TRUE, OK, NOTFOUND};
	enum commands {COM_MATCH, COM_RESOLV, COM_NOTFOUND, COM_TRUE, COM_OK, COM_FALSE, COM_LOG, COM_RANDOM, COM_EXTERN, COM_UNKNOWN};
	evalresult eval(const string &id, string &result, const CORBA::ORB_ptr &o);
	int level;
	int command;
	string arg;
};

#endif
