/*
 *    FBFS Distributed Object Repository
 *    Copyright (C) 2001 Francesco V. Bassi
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "Object.h"

#include <stdio.h>

/** \file Object.cc
 * Implementazione dei metodi della classe fbfs::Object
 * \ingroup Object
 */

string fbfs::Object::Obj2string(const Obj &obj) {
	string s;
	const octet_sequence &seq = obj.value;
	for(int i=0; i<seq.length(); i++)
		s += seq[i];
	return s;
};

// Controllare bene. Forse  sbagliato il MM
fbfs::Obj *fbfs::Object::string2Obj(const string &s) {
	Obj *obj = new Obj();
	obj->value = octet_sequence( s.length(), s.length(), (CORBA::Octet *) s.c_str() );
	return obj;
};

string fbfs::Object::Obj_prop2string(const Obj_prop &obj) {
	char buf[64];
	sprintf(buf, "%d:%d:%d", obj.type, obj.value_a, obj.value_b);
	return string(buf);
};

fbfs::Obj_prop fbfs::Object::string2Obj_prop(const string &s) {
	const char * cs = s.c_str();
	Obj_prop obj;
	sscanf(cs, "%d:%d:%d", &obj.type, &obj.value_a, &obj.value_b);
	return obj;
};

string fbfs::Object::Obj_id2string(const Obj_id &obj) {
	string s(obj.name);
	return s;
};

fbfs::Obj_id fbfs::Object::string2Obj_id(const string &s) {
	Obj_id obj;
	obj.name = (const char *) s.c_str();
	return obj;
};

string fbfs::Object::Obj_ts2string(const Obj_ts &obj) {
	char buf[32];
	sprintf(buf, "%d", obj.time);
	return string(buf);
};

fbfs::Obj_ts fbfs::Object::string2Obj_ts(const string &s) {
	const char * cs = s.c_str();
	Obj_ts obj;
	sscanf(cs, "%d", &obj.time);
	return obj;
};

bool fbfs::Object::cmp_ts( const Obj_ts &uno, const Obj_ts &due) {
	return uno.time == due.time;
};
