/*
 *    FBFS Distributed Object Repository
 *    Copyright (C) 2001 Francesco V. Bassi
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef fbfs_OBJ_PROPERTIES
#define fbfs_OBJ_PROPERTIES

/** \file Properties.h
 * Definizione della classe fbfs::Properties
 * \ingroup Object ObjectManager
 */

namespace fbfs {
	class Properties;
};

/**
 * Contiene una enumerazione di costanti utili a definire diverse politiche
 * di allocazione degli oggetti nel repository. Sono possibili valori per
 * il campo type della classe Obj_prop.
 * \ingroup Object ObjectManager
 */
class fbfs::Properties {
	public:
		static const int DONT_SAVE = 0;
		static const int REPLICATE_ON_CREAT = 1;
		static const int REPLICATE_ALWAYS = 2;
		static const int REPLICATE_MIN_MAX = 3;
};

#endif
