/*
 *    FBFS Distributed Object Repository
 *    Copyright (C) 2001 Francesco V. Bassi
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/** \file Rand.h
 * Funzioni di convenienza collegate con l'uso di numeri random.
 * \ingroup Utils
 */

#ifndef _utils_RAND
#define _utils_RAND

#include <stdlib.h>

namespace utils {
	/**
	 * Return a random number beetwen 0 and i-1
	 */
	inline int rand(int i) {
			return static_cast<int>((::rand() / double(RAND_MAX)) * i);
	};
};
		
#endif
