/*
 *    FBFS Distributed Object Repository
 *    Copyright (C) 2001 Francesco V. Bassi
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _utils_TIMESTAMP
#define _utils_TIMESTAMP

#include <sys/time.h>

/** \file TimeStamp.h
 * Definizione della classe utils::TimeStamp.
 * \ingroup Utils
 */

namespace utils {
	class TimeStamp;
};

/**
 * Funzioni collegate con la generazione/utilizzo di timestamp.
 * \ingroup Utils
 */
class utils::TimeStamp {
	public:
		static inline int current() {
			struct timeval now;
			gettimeofday(&now, NULL);
			return now.tv_sec;
		};
};

#endif
